Package Details: vulkan-amdgpu-pro 23.40_1741713-1

Git Clone URL: https://aur.archlinux.org/amdgpu-pro-installer.git (read-only, click to copy)
Package Base: amdgpu-pro-installer
Description: AMDGPU Pro Vulkan driver
Upstream URL: https://www.amd.com/en/support/kb/release-notes/rn-amdgpu-unified-linux-22-40
Licenses: custom: AMDGPU-PRO EULA
Groups: Radeon_Software_for_Linux
Provides: vulkan-driver
Submitter: LEW21
Maintainer: Ashark (mesmer)
Last Packager: mesmer
Votes: 123
Popularity: 0.29
First Submitted: 2016-03-28 22:44 (UTC)
Last Updated: 2024-03-28 21:56 (UTC)

Dependencies (4)

Required by (52)

Sources (18)

Pinned Comments

mesmer commented on 2022-12-23 04:31 (UTC) (edited on 2023-05-28 19:28 (UTC) by mesmer)

IF PROBLEM HAPPEN

this package is our try to put amdgpu in ARCH, but this could break or have problems as amd update and change their packages for ubuntu

if anything happens you can always download a older tag in https://github.com/Ashark/archlinux-amdgpu-pro/releases and get the PKGBUILD there, and use makepkg with that build while we update or try to fix :)

ALWAYS USE LINUX-FIRMWARE-GIT IF LATEST DRIVER FAIL BEFORE ISSUE SOME ERROR

https://aur.archlinux.org/packages/linux-firmware-git

Ashark commented on 2019-12-09 20:52 (UTC) (edited on 2022-12-06 08:45 (UTC) by Ashark)

PKGBUILD generator is located here: https://github.com/Ashark/archlinux-amdgpu-pro

AMDGPU PRO wiki page: https://wiki.archlinux.org/index.php/AMDGPU_PRO

New versions will appear here: https://repo.radeon.com/amdgpu/.

Latest Comments

1 2 3 4 5 6 .. 58 Next › Last »

combor commented on 2024-04-18 00:33 (UTC) (edited on 2024-04-18 00:34 (UTC) by combor)

I think I found the issue: https://www.phoronix.com/news/Mesa-24.0-Faster-RADV-Vega . AMD removed support for Polaris and Vega GPUs from this official open-source Vulkan driver - 5600G has Vega GPU.

Thanks for your help @mesmer!

mesmer commented on 2024-04-18 00:05 (UTC) (edited on 2024-05-20 13:58 (UTC) by mesmer)

@combor i edited a lot the comment, so if you already read, read again plz lol

mesmer commented on 2024-04-17 23:56 (UTC) (edited on 2024-04-18 00:04 (UTC) by mesmer)

@combor take a look if the folder /usr/share/vulkan/icd.d/ have the files needed to VK, about the default it should not be needed, only if you want to force the usage of the pro and you have the mesa driver too

as your command of vulkaninfo its seems that you are missing the icd32, i think amd removed that, so change the command to

VK_ICD_FILENAMES=/usr/share/vulkan/icd.d/amd_pro_icd64.json vulkaninfo

this should work, if not you dont have the vulkan package, maybe install https://aur.archlinux.org/packages/vulkan-amdgpu-pro, and if you can show your pacman -Qs amdgpu-pro

if this was working on the 23.40_1741713-1 maybe a rollback is a workaround, the amd driver is very breakable from version to version, and the driver for the G cards are well known more unstable, i love to help more but i dont have this card to try, @LanMarc77 get this working ont he 8kG series

combor commented on 2024-04-17 23:08 (UTC)

BTW, I'm trying to run this on AMD Ryzen 5 5600G with Radeon Graphics. It used to work before upgrade to 23.40_1741713-1

combor commented on 2024-04-17 23:06 (UTC)

# pacman -Q | grep linux-firmware-git
linux-firmware-git 20240412.5da74b16-1

this one is empty. shall I set it to defsult to something?

# echo $VK_ICD_FILENAMES

and

VK_ICD_FILENAMES=/usr/share/vulkan/icd.d/amd_pro_icd64.json:/usr/share/vulkan/icd.d/amd_pro_icd32.json vulkaninfo
ERROR: [Loader Message] Code 0 : loader_get_json: Failed to open JSON file /usr/share/vulkan/icd.d/amd_pro_icd32.json
WARNING: [Loader Message] Code 0 : terminator_CreateInstance: Received return code -3 from call to vkCreateInstance in ICD /usr/lib/amdvlkpro64.so. Skipping this driver.
ERROR: [Loader Message] Code 0 : terminator_CreateInstance: Found no drivers!
Cannot create Vulkan instance.
This problem is often caused by a faulty installation of the Vulkan driver or attempting to use a GPU that does not support Vulkan.
ERROR at /usr/src/debug/vulkan-tools/Vulkan-Tools-1.3.269/vulkaninfo/./vulkaninfo.h:688:vkCreateInstance failed with ERROR_INCOMPATIBLE_DRIVER

amf-test doesnt like missing vulcan

# ./amf-test 
ERROR: Failed to initialize Vulkan

mesmer commented on 2024-04-17 20:49 (UTC)

@combor try with local/linux-firmware-git 20240412.5da74b16-1 its the one i am using

also can you show me your echo $VK_ICD_FILENAMES

try to use VK_ICD_FILENAMES=/usr/share/vulkan/icd.d/amd_pro_icd64.json:/usr/share/vulkan/icd.d/amd_pro_icd32.json vulkaninfo

also nowrep creates this https://github.com/nowrep/amf-test-linux to test the amf

combor commented on 2024-04-17 18:51 (UTC)

[root@server amf-test-linux]# pacman -Q | grep amd
amd-ucode 20240409.1addd7dc-1
amd-vulkan-prefixes 1-1
amdgpu-pro-oglp 23.40_1741713-1
amdgpu_top-git 0.4.0.r54.g49a4686-1
amdvlk 2024.Q1.3-2
amf-amdgpu-pro 23.40_1741713-1
vulkan-amdgpu-pro 23.40_1741713-1

[root@server amf-test-linux]# pacman -Q | grep linux-firmware-git
linux-firmware-git 20240208.fbef4d38-1

[root@server amf-test-linux]# vulkaninfo 
WARNING: [Loader Message] Code 0 : terminator_CreateInstance: Received return code -3 from call to vkCreateInstance in ICD /usr/lib/amdvlk64.so. Skipping this driver.
WARNING: [Loader Message] Code 0 : terminator_CreateInstance: Received return code -3 from call to vkCreateInstance in ICD /usr/lib/amdvlkpro64.so. Skipping this driver.
ERROR: [Loader Message] Code 0 : terminator_CreateInstance: Found no drivers!
Cannot create Vulkan instance.
This problem is often caused by a faulty installation of the Vulkan driver or attempting to use a GPU that does not support Vulkan.
ERROR at /usr/src/debug/vulkan-tools/Vulkan-Tools-1.3.269/vulkaninfo/./vulkaninfo.h:688:vkCreateInstance failed with ERROR_INCOMPATIBLE_DRIVER

I've tried firmware mentioned in the wiki and in the comments here. Anything that I'm missing?

LanMarc77 commented on 2024-04-05 21:44 (UTC)

@mesmer CBR/CBQ modes work fine with AMF 23.40_1741713-1/6.0.3 but (H)QVBR modes do not. This seems to be an issue with the AMF drivers itself and their usage of Vulkan and OpenCL. I opened an issue here and hopes it gets resolved: https://github.com/GPUOpen-LibrariesAndSDKs/AMF/issues/468

mesmer commented on 2024-04-01 12:53 (UTC)

@LanMarc77 the AV1 its new, and from drive to drive the AMD breaks it haha, my suggestion is if you find a version that works for you, keep it and if you update just revert, its a pain but its break in the amd itself from time to time

LanMarc77 commented on 2024-03-29 11:23 (UTC) (edited on 2024-03-29 13:31 (UTC) by LanMarc77)

I recently switched to the relatively new Ryzen 5 8600G with integrated Radeon graphics. I tried to use the GPU as encoder with this package and ffmpeg starts encoding when using the av1_amf encoder but always stops with an error after 30239 frames. I tested multiple video files and the barrier is 30239 frames. The error is:

0124-02-29 12:17:58 78042F00 [EncodeQueuePalImpl]   Error: ../../../../../runtime/src/components/EncoderCore/EncodeQueuePalImpl.cpp(239):PAL failed, result = -4 : Pal::ICmdBuffer::Begin() failed
0124-02-29 12:17:58 78042F00 [AMFEncoderCoreAv1]   Error: ../../../../../runtime/src/components/EncoderCore/EncoderCoreAv1Impl.cpp(2422):AMF_ERROR 1 : AMF_FAIL: SubmitToEncodeQueue(): Failed to submit job.
0124-02-29 12:17:58 78042F00 [AMFEncoderCoreAv1]   Error: ../../../../../runtime/src/components/EncoderCore/EncoderCoreAv1Impl.cpp(2002):AMF_ERROR 1 : AMF_FAIL: Failed to submit job to Encode queue

The partly encoded file is correctly encoded though. Is this a known issue?

UPDATE: Just updated to the version from yesterday and the error is gone. I also contacted AMD about this recently. Might be they fixed it.